PHP-инклюдинг в PhpbbXtra

Дата публикации:
29.12.2006
Всего просмотров:
7993
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PhpbbXtra 2.x
Уязвимые версии: PhpbbXtra 2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "phpbb_root_path" в сценарии includes/archive/archive_topic.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[script_path]/includes/archive/archive_topic.php?phpbb_root_path=[file]

URL производителя: www.phpbbxtra.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA